package cn.com.qmth.examcloud.task.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 任务配置
 *
 * @author WANGWEI
 * @date 2018年3月7日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 */
@Entity
@Table(name = "EC_T_SCHEDULE_JOB")
public class ScheduleJobEntity extends JpaEntity {
	private static final long serialVersionUID = -1638993747996917970L;

	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 任务名称
	 */
	@Column(unique = true, nullable = false)
	private String jobName;

	/**
	 * 任务分组
	 */
	@Column(unique = false, nullable = false)
	private String jobGroup;

	/**
	 * cron表达式
	 */
	@NotNull
	private String cronExpression;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * Spring bean
	 */
	@NotNull
	private String springBean;

	/**
	 * 是否顺序执行
	 */
	private Boolean stateful;

	@NotNull
	private Boolean enable;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getJobGroup() {
		return jobGroup;
	}

	public void setJobGroup(String jobGroup) {
		this.jobGroup = jobGroup;
	}

	public String getCronExpression() {
		return cronExpression;
	}

	public void setCronExpression(String cronExpression) {
		this.cronExpression = cronExpression;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getSpringBean() {
		return springBean;
	}

	public void setSpringBean(String springBean) {
		this.springBean = springBean;
	}

	public Boolean getStateful() {
		return stateful;
	}

	public void setStateful(Boolean stateful) {
		this.stateful = stateful;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

}