package cn.com.qmth.examcloud.task.starter.config;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.task.base.QuartzManager;
import cn.com.qmth.examcloud.task.base.ScheduleJob;
import cn.com.qmth.examcloud.task.dao.ScheduleJobRepo;
import cn.com.qmth.examcloud.task.dao.entity.ScheduleJobEntity;

@Component
public class JobsStartup {

	@Autowired
	private ScheduleJobRepo scheduleJobEntityRepo;

	@Autowired
	private QuartzManager quartzManager;

	public void start() {
		List<ScheduleJobEntity> jobEntityList = scheduleJobEntityRepo.findAll();

		for (ScheduleJobEntity jobEntity : jobEntityList) {
			if (!jobEntity.getEnable()) {
				continue;
			}
			ScheduleJob scheduleJob = new ScheduleJob();
			scheduleJob.setJobId(jobEntity.getId());
			scheduleJob.setJobName(jobEntity.getJobName());
			scheduleJob.setJobGroup(jobEntity.getJobGroup());
			scheduleJob.setSpringBean(jobEntity.getSpringBean());
			scheduleJob.setCronExpression(jobEntity.getCronExpression());
			scheduleJob.setStateful(jobEntity.getStateful());
			quartzManager.addJob(scheduleJob);
		}

	}

}
